using SqlSugar;

namespace DeviceRepair.Models.Device
{
    [SugarTable("View_DeviceRoot")]
    public class View_DeviceRoot
    {
        /// <summary>
        /// 主键变化
        /// </summary>
        [SugarColumn(ColumnName = "AutoID")]
        public int AutoID { get; set; }

        /// <summary>
        /// 设备编号
        /// </summary>
        [SugarColumn(ColumnName = "EquipmentID")]
        public string EquipmentID { get; set; }

        /// <summary>
        /// 设备名称
        /// </summary>
        [SugarColumn(ColumnName = "EquipmentName")]
        public string EquipmentName { get; set; }

        /// <summary>
        /// 设备分类根名称 （KH、OEM）
        /// </summary>
        [SugarColumn(ColumnName = "RootName")]
        public string RootName { get; set; }

        /// <summary>
        /// 点检表编号
        /// </summary>
        [SugarColumn(ColumnName = "MaintenanceFormVersion")]
        public int MaintenanceFormVersion { get; set; }

        /// <summary>
        /// 设备状态
        /// </summary>
        [SugarColumn(ColumnName = "EquipmentStatus")]
        public int EquipmentStatus { get; set; }
    }
}
